# angular.directive.ng:style

Work in Progress This page is currently being revised. It might be incomplete or contain inaccuracies.

## Description

The ng:style allows you to set CSS style on an HTML element conditionally.

## Usage

    <ANY ng:style="expression">
       ...
    </ANY>

### Parameters

- `expression – {expression} –`

  Expression which evals to an object whose keys are CSS style names and values are corresponding values for those CSS keys.

## Example

       <input type="button" value="set" ng:click="myStyle={color:'red'}">
       <input type="button" value="clear" ng:click="myStyle={}">
       <br/>
       <span ng:style="myStyle">Sample Text</span>
       <pre>myStyle={{myStyle}}</pre>

      it('should check ng:style', function(){
        expect(element('.doc-example-live span').css('color')).toBe('rgb(0, 0, 0)');
        element('.doc-example-live :button[value=set]').click();
        expect(element('.doc-example-live span').css('color')).toBe('red');
        element('.doc-example-live :button[value=clear]').click();
        expect(element('.doc-example-live span').css('color')).toBe('rgb(0, 0, 0)');
      });